SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Generic)  >   Xen Vendors:   Citrix
Xen PVFB Bugs Let Local Users Deny Service or Gain Elevated Privileges
SecurityTracker Alert ID:  1020008
SecurityTracker URL:  http://securitytracker.com/id/1020008
CVE Reference:   CVE-2008-1943   (Links to External Site)
Date:  May 13 2008
Impact:   Denial of service via local system, User access via local system


Description:   A vulnerability was reported in Xen. A local user can obtain elevated privileges on the target system. A local user can cause denial of service conditions.

The hypervisor's para-virtualized framebuffer (PVFB) backend does not properly validate user-supplied input in the frontend's framebuffer description. A local user can supply a specially crafted value to cause the backend to crash or potentially execute arbitrary code in the privileged domain (dom0).

Markus Armbruster reported this vulnerability.

Impact:   A local user can obtain elevated privileges on the target system.

A local user can cause denial of service conditions on the target system.

Solution:   No solution was available at the time of this entry.

[Editor's note: A fix is available for Red Hat Enterprise Linux. A separate Alert will be issued for Red Hat.]

Vendor URL:  www.citrixxenserver.com/ (Links to External Site)
Cause:   Input validation error
Underlying OS:   Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
May 13 2008 (Red Hat Issues Fix) Xen PVFB Bugs Let Local Users Deny Service or Gain Elevated Privileges   (bugzilla@redhat.com)
Red Hat has released a fix for Red Hat Enterprise Linux 5.



 Source Message Contents

Date:  Tue, 13 May 2008 08:41:30 -0400
Subject:  Xen


CVE-2008-1943
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC